## beangrow 1.0.0%2Bgit20250604

=== beangrow/Makefile ===
#!/usr/bin/env make

all: config_pb2.py

config_pb2.py: config.proto
	protoc -I . --python_out . --proto_path . $<

## beangrow 1.0.0+git20250207

=== debian/changelog ===
beangrow (1.0.0+git20250207-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100195).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 16:56:27 +0000

beangrow (1.0.0+git20250207-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 11:58:44 -0500

beangrow (1.0.0+git20250126-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Update build-deps.
  * debian/patches: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Jan 2025 09:29:16 -0500

beangrow (1.0.0+git20241122-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Jan 2025 06:38:16 -0500

beangrow (1.0.0+git20241122-1) unstable; urgency=medium

  * Initial release. (Closes: #1091327)

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2024 16:16:06 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%beangrow-$1.tar.gz%" \
https://github.com/beancount/beangrow/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## beangrow 1.0.0+git20250604

=== debian/changelog ===
beangrow (1.0.0+git20250604-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/: Dropped.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Aug 2025 22:25:02 -0400

beangrow (1.0.0+git20250207-3) unstable; urgency=medium

  * debian/patches/4f88d0fb2182314fd3cc2bcee56887de880b6710.patch:
    Backport upstream changes from git trunk.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Mar 2025 15:34:54 -0400

=== debian/control ===
Source: beangrow
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 beancount,
 protobuf-compiler,
 pybuild-plugin-pyproject,
 python3,
 python3-beancount,
 python3-beanprice,
 python3-matplotlib,
 python3-numpy,
 python3-pandas,
 python3-protobuf,
 python3-pytest <!nocheck>,
 python3-scipy,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/beancount/beangrow
Vcs-Git: https://salsa.debian.org/python-team/packages/beangrow.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/beangrow
Rules-Requires-Root: no
Description: Calculating portfolio returns for Beancount
 Beangrow contains code which computes investment returns on a variety
 of assets, as recorded by Beancount, fed directly from a Beancount file.
 .
 There are three related scripts:
   - configure.py: This attempts to automatically infer and generate
     configuration to compute returns from an existing Beancount ledger.
   - compute_returns.py: This extracts data for each of the investments
     defined in the configuration and computes the returns and generates
     output for each requested returns report.
   - download_prices.py: The compute_returns.py script outputs a list of
     missing (or inadequately dated) price directives to properly do its
     job as a side-product. This script can read that file and fetch those
     missing dates, which you can insert in your ledger and then rerun
     compute_returns.py for a more precise calculation.

Package: python3-beangrow
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 beangrow,
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = beangrow

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	# Regenerate config_pb2.py from .proto file
	# See https://github.com/beancount/beangrow/pull/22
	$(MAKE) -C beangrow

execute_after_dh_clean:
	# Explicitly remove config_pb2.py, we regenerate it
	rm -fv beangrow/config_pb2.py

execute_after_dh_auto_install:
	# Do not include the Makefile
	find debian/ -name Makefile -type f -delete

## beangrow 1.0.1+git20251015

=== debian/changelog ===
beangrow (1.0.1+git20251015-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/watch: Update to version 5 and correct file syntax.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:11:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: beangrow
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -20,11 +19,10 @@
  python3-pytest <!nocheck>,
  python3-scipy,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/beancount/beangrow
 Vcs-Git: https://salsa.debian.org/python-team/packages/beangrow.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beangrow
-Rules-Requires-Root: no
 Description: Calculating portfolio returns for Beancount
  Beangrow contains code which computes investment returns on a variety
  of assets, as recorded by Beancount, fed directly from a Beancount file.

=== debian/watch ===
Version: 5

Source: https://github.com/beancount/beangrow
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.0.1+git%cd
